Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Interface ISVNFileFilter

public interface ISVNFileFilter

`ISVNFileFilter` is used by `SVNCommitClient` during an import operation to filter out undesired paths, so that those paths do not get to a repository.

Since:
  1.3
Version:
  1.3
Author:
  TMate Software Ltd.

Method Summary
`boolean` | `accept(File file)` This method is called to add extra filtering of files.

Method Detail

### accept

    public boolean accept(File file)
                   throws SVNException

  This method is called to add extra filtering of files.

  Parameters:
    `file` - file to accept or not
  Returns:
    true if the file should be accepted
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.